﻿$packageName = "eyeframeconverter"
$processor = Get-WmiObject Win32_Processor
$is64bit = $processor.AddressWidth -eq 64

if ($is64bit) {
    $programUninstallEntryName = "EyeFrame Converter 1.8.1"
    $uninstallString = (Get-ItemProperty HKLM:\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall\* | Select DisplayName, UninstallString | Where-Object {$_.DisplayName -like "$programUninstallEntryName*"}).UninstallString
} else {
    $programUninstallEntryName = "EyeFrame Converter 1.8.1"
    $uninstallString = (Get-ItemProperty HKLM:\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\* | Select DisplayName, UninstallString | Where-Object {$_.DisplayName -like "$programUninstallEntryName*"}).UninstallString
}

# EyeFrame Converter places double quotes around the path of its uninstall file, so get rid of them.
$uninstallString = "$uninstallString" -replace '["]', ''

if ($uninstallString -ne "") {
    & $uninstallString '/VERYSILENT'
}

Write-ChocolateySuccess $packageName